Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_method_entry_struct Struct Reference

`#include <method.h>`

## Data Fields
rb_method_flag_t | flag
char | mark
rb_method_definition_t * | def
ID | called_id
VALUE | klass

## Detailed Description

Definition at line 95 of file method.h.

## Field Documentation

ID rb_method_entry_struct::called_id

Definition at line 99 of file method.h.

Referenced by frame_called_id(), get_original_method_entry(), make_method_entry_refined(), mnew(), rb_iterate(), rb_method_call_status(), rb_method_entry_make(), rb_raise_jump(), rb_resolve_refined_method(), vm_call_bmethod_body(), vm_call_cfunc_with_frame(), and vm_exec().

rb_method_definition_t* rb_method_entry_struct::def

Definition at line 98 of file method.h.

Referenced by add_opt_method(), check_cfunc(), clone_method(), control_frame_dump(), frame_func_id(), get_original_method_entry(), make_method_entry_refined(), mark_method_entry(), method_clone(), method_get_def(), method_inspect(), method_unbind(), mnew(), move_refined_method(), original_method_entry(), rb_add_method(), rb_alias(), rb_export_method(), rb_free_method_entry(), rb_hash_method_definition(), rb_hash_method_entry(), rb_method_boundp(), rb_method_call_status(), rb_method_definition_eq(), rb_method_entry_eq(), rb_method_entry_location(), rb_method_entry_make(), rb_method_entry_min_max_arity(), rb_method_entry_set(), rb_method_entry_with_refinements(), rb_method_entry_without_refinements(), rb_mod_modfunc(), rb_obj_basic_to_s_p(), rb_resolve_refined_method(), rb_thread_current_status(), rb_vm_check_redefinition_opt_method(), rb_vm_control_frame_id_and_class(), release_method_definition(), remove_method(), umethod_bind(), vm_call0_body(), vm_call0_cfunc_with_frame(), vm_call_attrset(), vm_call_bmethod_body(), vm_call_cfunc_with_frame(), vm_call_iseq_setup(), vm_call_iseq_setup_normal(), vm_call_iseq_setup_tailcall(), vm_call_ivar(), vm_call_method(), vm_call_super(), vm_search_super_method(), and vm_search_superclass().

rb_method_flag_t rb_method_entry_struct::flag

Definition at line 96 of file method.h.

Referenced by check_definition(), check_funcall_respond_to(), clone_method(), method_entry_i(), mnew(), rb_alias(), rb_export_method(), rb_method_basic_definition_p(), rb_method_boundp(), rb_method_call_status(), rb_method_entry_make(), and vm_call_method().

VALUE rb_method_entry_struct::klass

Definition at line 100 of file method.h.

Referenced by check_redefined_method(), clone_method(), get_original_method_entry(), make_method_entry_refined(), mark_method_entry(), method_inspect(), method_owner(), mnew(), rb_iterate(), rb_method_call_status(), rb_method_entry_make(), rb_raise_jump(), rb_resolve_refined_method(), rb_thread_current_status(), rb_vm_control_frame_id_and_class(), vm_call_bmethod_body(), vm_call_cfunc_with_frame(), vm_call_method(), and vm_exec().

char rb_method_entry_struct::mark

Definition at line 97 of file method.h.

Referenced by bm_free(), free_method_entry_i(), mnew(), rb_gc_mark_unlinked_live_method_entries(), rb_method_entry_make(), and rb_sweep_method_entry().

The documentation for this struct was generated from the following file:

- method.h